"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js/object/define-property");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault").default;
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.description = exports.command = void 0;
var _listr = require("listr2");
var _cliHelpers = require("@redwoodjs/cli-helpers");
var _lib = require("../../../lib");
var _colors = _interopRequireDefault(require("../../../lib/colors"));
var _graphiqlHelpers = require("../../setup/graphiql/graphiqlHelpers");
const removeGraphiqlFromGraphqlHandler = () => {
  const graphqlPath = (0, _lib.getGraphqlPath)();
  let content = (0, _lib.readFile)(graphqlPath).toString();
  const [_, hasHeaderImport] = content.match(/(import .* from 'src\/lib\/generateGraphiQLHeader.*')/s) || [];
  if (hasHeaderImport) {
    // remove header import statement
    content = content.replace(`\n\nimport generateGraphiQLHeader from 'src/lib/generateGraphiQLHeader'`, '');
    // remove object from handler
    content = content.replace(`generateGraphiQLHeader,\n`, '');
  }
  (0, _lib.writeFile)(graphqlPath, content, {
    overwriteExisting: true
  });
};
const command = exports.command = 'graphiql';
const description = exports.description = 'Destroy graphiql header';
const handler = () => {
  (0, _cliHelpers.recordTelemetryAttributes)({
    command: 'destory graphiql'
  });
  const path = (0, _graphiqlHelpers.getOutputPath)();
  const tasks = new _listr.Listr([{
    title: 'Destroying graphiql files...',
    skip: () => !(0, _lib.existsAnyExtensionSync)(path) && `File doesn't exist`,
    task: () => (0, _lib.deleteFile)(path)
  }, {
    title: 'Removing graphiql import from createGraphQLHandler',
    task: removeGraphiqlFromGraphqlHandler
  }], {
    rendererOptions: {
      collapseSubtasks: false
    },
    exitOnError: true
  });
  try {
    tasks.run();
  } catch (e) {
    console.log(_colors.default.error(e.message));
  }
};
exports.handler = handler;