"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js/object/define-property");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault").default;
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.getOutputPath = exports.generatePayload = void 0;
var _path = _interopRequireDefault(require("path"));
var _lib = require("../../../lib");
var _project = require("../../../lib/project");
var _supportedProviders = require("./supportedProviders");
const generatePayload = (provider, id, token, expiry) => {
  if (token) {
    return {
      'auth-provider': provider,
      authorization: `Bearer ${token}`
    };
  }
  return _supportedProviders.supportedProviders[provider].getPayload(id, expiry);
};
exports.generatePayload = generatePayload;
const getOutputPath = () => {
  return _path.default.join((0, _lib.getPaths)().api.lib, (0, _project.isTypeScriptProject)() ? 'generateGraphiQLHeader.ts' : 'generateGraphiQLHeader.js');
};
exports.getOutputPath = getOutputPath;